Bug 130169 - games/jools does not find a necessary font
Summary: games/jools does not find a necessary font
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-04 19:00 UTC by Rainer Hurling
Modified: 2009-01-05 17:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2009-01-04 19:00:13 UTC
Installed games/jools on mostly recent 8.0-CURRENT. It did not execute. 
In xterm the following error message was shown:

----------------------------
Checking for playlist in /home/xxxxxx/.jools/music...
Traceback (most recent call last):
  File "/usr/local/bin/jools", line 29, in <module>
    import jools
  File "/usr/local/lib/python2.5/site-packages/jools/__init__.py", line 40, in <module>
    from initialize import *
  File "/usr/local/lib/python2.5/site-packages/jools/initialize.py", line 144, in <module>
    highScoreTitleFont = pygame.font.Font(None, 45)
RuntimeError: default font not found 'freesansbold.ttf'
----------------------------

Fix: 

Searching the internet the error was described for other systems too. Obviously the game needs read access for all users to the mentioned font file:

#cd /usr/local/lib/python2.5/site-packages/pygame
#ls -l freesansbold.ttf
-rwx------  1 root  wheel  - 98600  7 Jul 07:58:09 2008 freesansbold.ttf

Workaround:

After changing the rights with 'chmod a+r freesansbold.ttf' games/jools works as expected.

Probably better solution:

Lowell Gilbert gave me the hint that other files in devel/py-game are installed with same incorrect privileges. 

So it seems a fix should be done at this port.
How-To-Repeat: Install games/jools from ports.

Execute /usr/local/bin/jools in xterm or similarly.
Comment 1 Edwin Groothuis freebsd_committer 2009-01-04 19:00:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pav Lucistnik freebsd_committer 2009-01-04 20:27:22 UTC
Hi Marcus,

what do you think of the following patch? It should solve ports/130169.

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/py-game/Makefile,v
retrieving revision 1.38
diff -a -u -r1.38 Makefile
--- Makefile	2 Aug 2008 13:58:43 -0000	1.38
+++ Makefile	4 Jan 2009 20:25:27 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	game
 PORTVERSION=	1.8.1
+PORTREVISION=	1
 CATEGORIES=	devel python
 MASTER_SITES=	http://pygame.seul.org/ftp/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -29,6 +30,10 @@
 DOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
 EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
 
+post-patch:
+	@${FIND} ${WRKSRC} -type d | xargs ${CHMOD} a+rx
+	@${FIND} ${WRKSRC} -type f | xargs ${CHMOD} a+r
+
 pre-configure:
 	@invalid=`${PKG_INFO} -I ${SDLNOX11:C/.+/'&'/} 2>/dev/null | ${AWK} '{print $$1}`
 	@if [ ! -z "$$invalid" ]; then \

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
> Why do we need a film of "Lord of the Rings" when we have the book?
Because watching a cg enhanced Legolas fire a flaming arrow into the
heart of a warg is cool? - asdf@asdf.com in rec.games.roguelike.angband
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2009-01-05 17:07:38 UTC
On, Sun Jan 04, 2009, Pav Lucistnik wrote:

> Hi Marcus,
> 
> what do you think of the following patch? It should solve ports/130169.


[...]

Looks good to me. Go ahead to apply it.

Regards
Marcus
Comment 4 Pav Lucistnik freebsd_committer 2009-01-05 17:12:45 UTC
State Changed
From-To: open->closed

Fixed in a new revision of py-game port, please update
Comment 5 dfilter service freebsd_committer 2009-01-05 17:13:08 UTC
pav         2009-01-05 17:12:58 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-game        Makefile 
  Log:
  - Fix permissions of the installed files so they are readable to non-root users
  
  PR:             ports/130169
  Reported by:    Rainer Hurling <rhurlin@gwdg.de>
  Approved by:    Marcus von Appen <mva@sysfault.org> (maintainer)
  
  Revision  Changes    Path
  1.39      +5 -0      ports/devel/py-game/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"